Subject: bug#23293: 24.5; Error with directory local variables

From: Jon Schewe <[email-masked]>
Date: Sun, 17 Apr 2016 15:13:39 -0500

On 4/17/16 12:19 PM, Glenn Morris wrote:
> Jon Schewe wrote:
>
>> I do not see the problem with
>> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs -Q
>>
>> I assume that means it's something with my packages.
> Yep.
Replacing this:
(unless (boundp 'quit-window)
  (defalias 'quit-window 'kill-this-buffer))

with:
(unless (or (fboundp 'quit-window) (boundp 'quit-window))
  (defalias 'quit-window 'kill-this-buffer))

fixed it.

>
>> I wasn't aware of any of my xemacs packages shadowed any standard
>> Emacs libraries. What's the best way to find those?
> It's in your original report. Or you can use M-x list-load-path-shadows.
> That may not be the actual problem.
> It may help to M-x debug-on-error and repeat the problem.
Thank you.

-- 
Jon Schewe
Research Scientist
Raytheon BBN Technologies
5775 Wayzata Blvd, Ste 630
Saint Louis Park, MN, 55416
Office: 952-545-5720